
.. _ping_cli:

ping
****







.. rubric:: Output of :code:`--help=ping`



The following help text is generated by :code:`ecflow_client --help=ping`

::

   
   ping
   ----
   
   Check if server is running on given host/port. Result reported to standard output.
   Usage:
     --ping --host=mach --port=3144  # Check if server alive on host mach & port 3144
     --ping --host=fred              # Check if server alive on host fred and port ECF_PORT,
                                     # otherwise default port of 3141
     --ping                          # Check if server alive by using environment variables
                                     # ECF_HOST and ECF_PORT
   If ECF_HOST not defined uses 'localhost', if ECF_PORT not defined assumes 3141
   
   The client considers, for both user and child commands, the following environment variables:
   
     ECF_HOST <string> [mandatory*]
       The main server hostname; default value is 'localhost'
     ECF_PORT <int> [mandatory*]
       The main server port; default value is '3141'
     ECF_SSL <any> [optional*]
       Enable secure communication between client and server.
     ECF_HOSTFILE <string> [optional]
       File that lists alternate hosts to try, if connection to main host fails
     ECF_HOSTFILE_POLICY <string> [optional]
       The policy ('task' or 'all') to define which commands consider using alternate hosts.
   
   The options marked with (*) must be specified in order for the client to communicate
   with the server, either by setting the environment variables or by specifying the
   command line options.
   

